# $Revision: 1.83.2.2 $, $Date: 2004/04/04 20:30:22 $
#
# Conditional build:
%bcond_with	pcre	# PCRE support
#
Summary:	GNU grep Utilities
Summary(de):	GNU-Version der Pattern-Matching-Utilities
Summary(es):	Utilitarios grep GNU
Summary(fr):	Utilitaires grep de GNU
Summary(ja):	GNU grep ܸбǤǤ.
Summary(pl):	GNU grep
Summary(pt_BR):	Utilitrios grep GNU
Summary(ru):	    GNU grep
Summary(tr):	Dosyalarda katar arama arac
Summary(uk):	̦    GNU grep
Name:		grep
Version:	2.5.1
Release:	10
Epoch:		2
License:	GPL
Group:		Applications/Text
Source0:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	ae69f8112cdc63615cefe944f38bbee7
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	1b5e726d0bee53e898531de4a76ad290
Patch0:		%{name}-info.patch
Patch1:		%{name}-egrep.patch
%{?with_pcre:BuildRequires:	pcre-devel}
%{?with_pcre:Requires:	pcre}
BuildRequires:	gettext-devel
BuildRequires:	gettext-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		_exec_prefix	/

%description
The GNU versions of commonly used grep utilities. Grep searches one or
more input files for lines which contain a match to a specified
pattern and then prints the matching lines. GNU's grep utilities
include grep, egrep and fgrep.

%description -l de
Die GNU-Versionen der hufig benutzten grep-Utilities. Grep durchsucht
eine oder mehrere Eingabedateien nach Zeilen, die auf ein angegebenes
Muster passen, und zeigt dann die entsprechenden Zeilen an. GNUs grep
enthlt grep, egrep und fgrep.

%description -l es
Esta es la implementacin GNU del popular utilitario grep. Permite la
localizacin rpida de strings en archivos texto.

%description -l fr
Ceci est l'implmentation par GNU du populaire l'utilitaire grep su
Unix. Il permet de localiser rapidement des chanes de caractres dans
les fichiers.

%description -l ja
GNU ץȤˤ grep, egrep, fgrep (ʲñ grep) ޥ
ȥѥå(mb1.04)ˤäܸбˤΤǤ.

%description -l pl
GNU grep jest implementacj popularnego programu uniksowego `grep'.
Grep jest jednym z podstawowych narzdzi, korzysta z niego prawie
kady skrypt shella.

%description -l pt_BR
Esta  a implementao GNU do popular utilitrio grep. Permite a
localizao rpida de strings em arquivos texto.

%description -l ru
  GNU  grep,    
    .

%description -l tr
Bu, btn Unix'lerde bulunan ve yaygn olarak kullanlan grep aracnn
GNU srmdr. Metin dosyalar iinde bulunan katarlar aramada
kullanlr.

%description -l uk
 GNU ̦æ ϧ ̦ grep, ϧ  
     .

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

rm -f m4/{header,init}.m4

# hack: AC_FUNC_STRERROR_R from strerror_r.m4 must override autoconf's version
# (it contains HAVE_WORKING_STRERROR_R define, needed with glibc 2.x, as
#  glibc version returns pointer to string and doesn't seem to store string in
#  supplied buffer(???))
cat m4/strerror_r.m4 >> acinclude.m4
touch m4/{header,init}.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__automake}
%{__autoconf}
%ifarch sparc sparc64
CPPFLAGS=""
export CPPFLAGS
%endif
%configure \
	%{!?with_pcre:--disable-perl-regexp} \
	--without-included-regex \
	--enable-nls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/env.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo .so grep.1 > $RPM_BUILD_ROOT%{_mandir}/man1/egrep.1
echo .so grep.1 > $RPM_BUILD_ROOT%{_mandir}/man1/fgrep.1

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

cat << EOF >$RPM_BUILD_ROOT/etc/env.d/GREP_OPTIONS
#GREP_OPTIONS="--binary-files=without-match --directories=skip --color=auto"
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README ChangeLog TODO
%attr(644,root,root) %config(noreplace,missingok) %verify(not md5 size mtime) /etc/env.d/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/*info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: grep.spec,v $
Revision 1.83.2.2  2004/04/04 20:30:22  blues
- release 10 - commited by mistake...

Revision 1.83.2.1  2004/04/04 19:48:19  blues
- release 11 (rel. 10 is for RA)

Revision 1.83  2004/04/04 19:46:12  blues
- release 10 - GREP_OPTIONS for env.d added

Revision 1.82  2004/03/11 20:30:42  qboosh
- ac hack to workaround glibc strerror_r() POSIX incompliance
- new-style bcond, release 9

Revision 1.81  2004/01/27 13:32:38  jajcus
- Release: 8
- auto* stuff regenerated so this compiles again.
  Do anybody want to clear all the warnings?

Revision 1.80  2004/01/23 12:03:31  jajcus
- Release: 7 (to rebuild on AMD64 and _tag_)

Revision 1.79  2003/12/20 10:48:38  jajcus
- automake minimal version requirement removed. It is enforced by Conflict in rpm-build on AMD64

Revision 1.78  2003/12/19 10:54:32  jajcus
- R: automake for config.sub with amd64 support

Revision 1.77  2003/08/30 13:11:28  mmazur
- rel 6 for ac

Revision 1.76  2003/08/18 08:08:09  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.75  2003/06/13 07:41:39  qboosh
- typo

Revision 1.74  2003/06/13 00:11:49  ankry
- updated non-english-man-pages, rel 5

Revision 1.73  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.72  2003/06/02 10:42:36  trojan
- fixed source URL

Revision 1.71  2003/05/30 15:10:58  qboosh
- merged lost change:
  Revision 1.68  2003/05/24 11:29:05  kloczek
  - merge ja translations and man pages from Kondara resources.

Revision 1.70  2003/05/29 11:14:17  adgor
- Fixed srcs md5dum; bad urls removed

Revision 1.69  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.68  2003/05/25 05:48:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2002/06/09 22:20:53  qboosh
- new %%doc
- release 4, epoch 2 (no strict relation between 1:2.5e and 1:2.5.1 in rpm)

Revision 1.66  2002/04/30 22:39:01  kloczek
- merge translations from Conectiva and KSI.

Revision 1.65  2002/04/30 14:31:32  blues
- release 3
- updated egrep patch to patch right file

Revision 1.64  2002/04/30 09:22:15  blues
- renamed typo in patch name

Revision 1.63  2002/04/30 08:58:39  areq
- add egrep patch
- Relese 2, STBR

Revision 1.62  2002/04/25 16:30:02  arturs
fixed a small typo

Revision 1.61  2002/04/15 09:33:57  qboosh
- cleanup

Revision 1.60  2002/04/14 20:03:36  areq
- Release 1, STBR

Revision 1.59  2002/04/14 15:47:56  areq
- up to 2.5.1 - fix memleak !
- release 0.1 - builds & works
- patches for am must be updated

Revision 1.58  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.57  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.56  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.55  2002/01/24 00:13:00  ankry
- added man-pages tar URL

Revision 1.54  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2001/11/12 07:09:53  ankry
- removed bogus da man pages
- release 6

Revision 1.52  2001/11/07 12:08:30  ankry
- added da,de,es,fi,fr,hu,it,nl man pages
- relese 5 epoch 1

Revision 1.51  2001/10/01 23:13:09  kloczek
- release 4,
- added --without-included-regex to configure parameters.

Revision 1.50  2001/09/30 15:37:40  qboosh
- BuildRequires: gettext-devel

Revision 1.49  2001/09/02 12:10:24  filon
- changed bcond_on to _with

Revision 1.48  2001/08/10 11:45:27  kloczek
- release 3: added ac25x patch (spec is ac 2.5x ready).

Revision 1.47  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.45  2001/05/08 07:40:53  misiek
- pcre disabled; causes problems on sparc and alpha (allowed conditional build)
- regenerate auto* and libtool stuff
- release 2

Revision 1.44  2001/03/20 12:31:21  mis
- updated (by autoup) to 2.5e

Revision 1.43  2001/02/21 15:05:53  wiget
downgrade to 2.5b, in 2.5c -f option is broken

Revision 1.42  2001/02/21 02:49:42  kloczek
- updated to 2.5c.

Revision 1.41  2001/02/10 07:28:08  kloczek
- updated to 2.5b,
- removed obsoleted i18n patch.

Revision 1.40  2000/11/05 23:23:35  kloczek
- release 6,
- use new rpm automation,
- merge i18n patch from RH (character ranges fix).

Revision 1.39  2000/06/30 21:03:34  zagrodzki
- release 5

Revision 1.38  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.37  2000/06/09 07:22:56  kloczek
- added using %%{__make} macro.

Revision 1.36  2000/06/07 15:34:19  zagrodzki
- requires: pcre

Revision 1.35  2000/05/24 16:26:06  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.34  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.33  2000/05/15 19:22:09  kloczek
- release 3,
- cosmetics.

Revision 1.32  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.31  2000/04/19 15:11:22  kloczek
- release 2,
- s/Prereq: pcre-deve/BuildRequires: pcre-deve/.

Revision 1.30  2000/04/19 06:48:46  yaro
- added prereq: pcre-devel

Revision 1.29  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.28  2000/03/28 16:54:23  baggins
- translated kloczkish into english

Revision 1.27  2000/03/23 16:42:31  kloczek
- updated to 2.5a.

Revision 1.26  2000/03/17 06:37:54  kloczek
- updated to 2.4.2.

Revision 1.25  2000/03/03 19:11:07  kloczek
- fix fix-info-dir path.

Revision 1.24  2000/03/03 18:51:55  kloczek
- updated to 2.4.1,
- spec adapterized.

Revision 1.23  2000/01/22 08:39:25  wiget
2.4a

Revision 1.22  1999/12/07 08:19:09  wiget
- 2.4

Revision 1.21  1999/09/14 22:47:18  kloczek
- release 6,
- unset CPPFLAGS on (ultra)sparc to avoid large file system support (seems
  that grep also can't corectly handle large file in current version).
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.20  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.3-4]
- added more macros.

* Wed Apr 28 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.3-3]
- added el .mo file,
- added pl man page for grep,
- added info pages for grep.

* Tue Apr 27 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.2-6]
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- gzipping documentation,
- removed man group from man pages,
- replacements in %files,
- minor changes,
- recompiled on rpm 3.

* Fri Dec 11 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.2-4]
- added gzipping man pages,
- added using LDFLAGS="-s" to ./configure enviroment.

* Tue Oct 06 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.2-3]
- added pl translation,
- minor modification of the spec file.
- build against GNU libc-2.1,
- start at RH spec file.
